> ## Documentation Index
> Fetch the complete documentation index at: https://help.teable.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get adminspace

> Get paginated spaces for the instance

Required token scopes: `instance|read`



## OpenAPI

````yaml /swagger.json get /admin/space
openapi: 3.0.0
info:
  version: 1.0.0
  title: Teable App
  description: Manage Data as easy as drink a cup of tea
  x-logo:
    backgroundColor: '#F0F0F0'
    altText: Teable logo
servers:
  - url: https://app.teable.ai/api
security: []
tags:
  - name: base
    x-group: project
  - name: base node
    x-group: project node
  - name: base-share
    x-group: project-share
paths:
  /admin/space:
    get:
      tags:
        - admin
      description: |-
        Get paginated spaces for the instance

        Required token scopes: `instance|read`
      parameters:
        - schema:
            type: number
            minimum: 1
            default: 1
          required: false
          name: page
          in: query
        - schema:
            type: number
            minimum: 1
            maximum: 100
            default: 10
          required: false
          name: pageSize
          in: query
        - schema:
            type: string
          required: false
          name: search
          in: query
        - schema:
            type: string
            enum:
              - default
              - byodb
          required: false
          name: dataDbMode
          in: query
      responses:
        '200':
          description: Returns paginated spaces for the instance.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        name:
                          type: string
                        createdTime:
                          type: string
                        autoJoin:
                          type: boolean
                          nullable: true
                        schedulingLimits:
                          type: object
                          nullable: true
                          properties:
                            ai-field-generation:
                              type: object
                              properties:
                                limit:
                                  type: integer
                                  minimum: 1
                                  maximum: 100
                              required:
                                - limit
                            workflow-run:
                              type: object
                              properties:
                                limit:
                                  type: integer
                                  maximum: 10
                                  minimum: 1
                              required:
                                - limit
                            workflow-ai-action:
                              type: object
                              properties:
                                limit:
                                  type: integer
                                  minimum: 1
                                  maximum: 12
                              required:
                                - limit
                            routine-run:
                              type: object
                              properties:
                                limit:
                                  type: integer
                                  maximum: 10
                                  minimum: 1
                              required:
                                - limit
                          additionalProperties: false
                        baseCount:
                          type: number
                        collaboratorCount:
                          type: number
                        ownerEmail:
                          type: string
                          nullable: true
                        dataDb:
                          type: object
                          properties:
                            mode:
                              type: string
                              enum:
                                - default
                                - byodb
                            state:
                              type: string
                              enum:
                                - ready
                                - validating
                                - initializing
                                - migrating
                                - error
                                - disabled
                            provider:
                              type: string
                              enum:
                                - postgres
                            displayHost:
                              type: string
                            displayDatabase:
                              type: string
                            internalSchema:
                              type: string
                            schemaVersion:
                              type: string
                              nullable: true
                            lastValidatedAt:
                              type: string
                            lastError:
                              type: string
                            capabilities:
                              type: object
                              properties:
                                createSchema:
                                  type: boolean
                                createTable:
                                  type: boolean
                                createFunction:
                                  type: boolean
                                createTrigger:
                                  type: boolean
                                createRole:
                                  type: boolean
                                grantPrivileges:
                                  type: boolean
                                inspectActivity:
                                  type: boolean
                              required:
                                - createSchema
                                - createTable
                                - createFunction
                                - createTrigger
                                - createRole
                                - grantPrivileges
                                - inspectActivity
                            health:
                              type: object
                              properties:
                                state:
                                  type: string
                                  enum:
                                    - healthy
                                    - read_only
                                    - unreachable
                                    - degraded
                                reason:
                                  type: string
                                  nullable: true
                                changedAt:
                                  type: string
                                lastCheckAt:
                                  type: string
                              required:
                                - state
                            migration:
                              type: object
                              properties:
                                jobId:
                                  type: string
                                state:
                                  type: string
                                  enum:
                                    - pending
                                    - waiting_worker
                                    - preflight
                                    - freezing_writes
                                    - copying
                                    - validating
                                    - switching
                                    - succeeded
                                    - failed
                                    - canceled
                                    - rolled_back
                                targetInternalSchema:
                                  type: string
                                switchOnCompletion:
                                  type: boolean
                                lastError:
                                  type: string
                                  nullable: true
                              required:
                                - jobId
                                - state
                                - targetInternalSchema
                            relatedSpaces:
                              type: object
                              properties:
                                primarySpaceId:
                                  type: string
                                hasCrossSpaceLinks:
                                  type: boolean
                                spaces:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      spaceId:
                                        type: string
                                      name:
                                        type: string
                                      isPrimary:
                                        type: boolean
                                      baseIds:
                                        type: array
                                        items:
                                          type: string
                                      tableIds:
                                        type: array
                                        items:
                                          type: string
                                      dataDbMode:
                                        type: string
                                        enum:
                                          - default
                                          - byodb
                                      dataDbState:
                                        type: string
                                        enum:
                                          - ready
                                          - validating
                                          - initializing
                                          - migrating
                                          - error
                                          - disabled
                                      dataDbConnectionId:
                                        type: string
                                        nullable: true
                                      dataDbUrlFingerprint:
                                        type: string
                                        nullable: true
                                      dataDbDatabaseFingerprint:
                                        type: string
                                        nullable: true
                                      dataDbDisplayHost:
                                        type: string
                                        nullable: true
                                      dataDbDisplayDatabase:
                                        type: string
                                        nullable: true
                                      dataDbInternalSchema:
                                        type: string
                                        nullable: true
                                    required:
                                      - spaceId
                                      - name
                                      - isPrimary
                                      - baseIds
                                      - tableIds
                                      - dataDbMode
                                links:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      fromSpaceId:
                                        type: string
                                      fromTableId:
                                        type: string
                                      fromFieldId:
                                        type: string
                                      toSpaceId:
                                        type: string
                                      toTableId:
                                        type: string
                                    required:
                                      - fromSpaceId
                                      - fromTableId
                                      - fromFieldId
                                      - toSpaceId
                                      - toTableId
                              required:
                                - primarySpaceId
                                - hasCrossSpaceLinks
                                - spaces
                                - links
                          required:
                            - mode
                            - state
                      required:
                        - id
                        - name
                        - createdTime
                        - autoJoin
                        - schedulingLimits
                        - baseCount
                        - collaboratorCount
                        - ownerEmail
                  total:
                    type: number
                  page:
                    type: number
                  pageSize:
                    type: number
                required:
                  - data
                  - total
                  - page
                  - pageSize
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: Shell
          source: |-
            curl --request GET \
              --url 'https://app.teable.ai/api/admin/space?page=SOME_NUMBER_VALUE&pageSize=SOME_NUMBER_VALUE&search=SOME_STRING_VALUE&dataDbMode=SOME_STRING_VALUE' \
              --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
        - lang: JavaScript
          source: >-
            const url =
            'https://app.teable.ai/api/admin/space?page=SOME_NUMBER_VALUE&pageSize=SOME_NUMBER_VALUE&search=SOME_STRING_VALUE&dataDbMode=SOME_STRING_VALUE';

            const options = {method: 'GET', headers: {Authorization: 'Bearer
            REPLACE_BEARER_TOKEN'}};


            try {
              const response = await fetch(url, options);
              const data = await response.json();
              console.log(data);
            } catch (error) {
              console.error(error);
            }
        - lang: Node.js
          source: |-
            const http = require('https');

            const options = {
              method: 'GET',
              hostname: 'app.teable.ai',
              port: null,
              path: '/api/admin/space?page=SOME_NUMBER_VALUE&pageSize=SOME_NUMBER_VALUE&search=SOME_STRING_VALUE&dataDbMode=SOME_STRING_VALUE',
              headers: {
                Authorization: 'Bearer REPLACE_BEARER_TOKEN'
              }
            };

            const req = http.request(options, function (res) {
              const chunks = [];

              res.on('data', function (chunk) {
                chunks.push(chunk);
              });

              res.on('end', function () {
                const body = Buffer.concat(chunks);
                console.log(body.toString());
              });
            });

            req.end();
        - lang: Python
          source: >-
            import http.client


            conn = http.client.HTTPSConnection("app.teable.ai")


            headers = { 'Authorization': "Bearer REPLACE_BEARER_TOKEN" }


            conn.request("GET",
            "/api/admin/space?page=SOME_NUMBER_VALUE&pageSize=SOME_NUMBER_VALUE&search=SOME_STRING_VALUE&dataDbMode=SOME_STRING_VALUE",
            headers=headers)


            res = conn.getresponse()

            data = res.read()


            print(data.decode("utf-8"))
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````